/*
 * Secure Network Transport Layer Library implementation.
 * This is a proprietary software. See COPYING for further details.
 *
 * (c) 2013-2014 Copyright Askele, inc. <http://askele.com>
 * (c) 2013-2014 Copyright Askele Ingria, inc. <http://askele-ingria.com>
 */

#include <stdlib.h>
#include <stdio.h>
#include <errno.h>
#include <string.h>
#include <pthread.h>
#include <sys/stat.h>
#include <sys/time.h>
#include <sys/types.h>
#include <sys/select.h>
#include <unistd.h>
#include <fcntl.h>
#include <netdb.h>

#include <uuid/uuid.h>
#include <openssl/ssl.h>

#include <tdata/usrtc.h>
#include <sexpr/sexp.h>

#include <sntl/connection.h>

static long __cmp_int(const void *a, const void *b)
{
  return *(int *)a - *(int *)b;
}

int sntl_rpclist_init(usrtc_t *tree)
{
  usrtc_init(tree, USRTC_REDBLACK, MAX_RPC_LIST, __cmp_int);
  return 0;
}

int sntl_rpclist_add(usrtc_t *tree, int type, const char *description)
{
  return 0;
}
